using UnityEngine;
using System.Collections;

public class CheckpointManager : MonoBehaviour 
{
    private bool CheckPointUsed;

	void OnTriggerExit(Collider other)
    {
        if(CheckPointUsed)
        {
            return;
        }
        else
        {
            if (other.tag == "Player")
            {
                CharacterManager cm = other.GetComponent<CharacterManager>();
                cm.CheckPoint();
                CheckPointUsed = true;
            }
        }
        
    }
}
